Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Apache Derby Core/UI Plugin(Question about Installing the Apache Derby Core/UI Plugin)
Apache Derby Core/UI Plugin [message #554304] Sat, 21 August 2010 06:04 Go to next message
Nico Paulo Mendoza is currently offline Nico Paulo Mendoza
Messages: 1
Registered: August 2010
Junior Member
Hello,

I have tried to install the Apache Derby Core/UI Plug-In into eclipse WTP (Helios) by placing the folders from the distribution file to $ECLIPSE_HOME/plugins and launched eclipse by typing eclipse -clean from the command line.

However, the plugin isn't loaded and the Apache Derby menu is not on the context when right-clicking a Java project.

I tried to place the same distrubution folders onto SpringSource Tool Suite (which I believe is based on eclipse) and the plug-in installed correctly.

Is there any special configuration or step I can take to install it properly on Eclipse WTP?

Thanks!
Re: Apache Derby Core/UI Plugin [message #554523 is a reply to message #554304] Mon, 23 August 2010 13:21 Go to previous message
Russell Bateman is currently offline Russell Bateman
Messages: 3189
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 8/21/2010 12:04 AM, Nico Paulo Mendoza wrote:
> Hello,
>
> I have tried to install the Apache Derby Core/UI Plug-In into eclipse
> WTP (Helios) by placing the folders from the distribution file to
> $ECLIPSE_HOME/plugins and launched eclipse by typing eclipse -clean from
> the command line.
>
> However, the plugin isn't loaded and the Apache Derby menu is not on the
> context when right-clicking a Java project.
>
> I tried to place the same distrubution folders onto SpringSource Tool
> Suite (which I believe is based on eclipse) and the plug-in installed
> correctly.
>
> Is there any special configuration or step I can take to install it
> properly on Eclipse WTP?
>
> Thanks!

The modern way of installing Eclipse plug-ins is either

a) install as new software form the Help menu; you do not drop it into
the plugins directory. (Recommended)

b) install software not prepared for installation according to new rules
by simply dropping it into the dropins directory that appeared (back in
Galileo, I believe). (Last-ditch only)
Previous Topic:Problem updating from 3.2.0 to 3.2.1 using the WTP update site
Next Topic:HTML5 Validation in JSDT
Goto Forum:
  


Current Time: Tue Sep 16 23:39:21 GMT 2014

Powered by FUDForum. Page generated in 0.06163 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software